import request from '@/utils/request'

// 查询房间信息列表
export function listRoomInfo(query) {
  return request({
    url: '/info/roomInfo/list',
    method: 'get',
    params: query
  })
}

// 查询房间信息详细
export function getRoomInfo(roomId) {
  return request({
    url: '/info/roomInfo/' + roomId,
    method: 'get'
  })
}

// 新增房间信息
export function addRoomInfo(data) {
  return request({
    url: '/info/roomInfo',
    method: 'post',
    data: data
  })
}

// 修改房间信息
export function updateRoomInfo(data) {
  return request({
    url: '/info/roomInfo',
    method: 'put',
    data: data
  })
}

// 删除房间信息
export function delRoomInfo(roomId) {
  return request({
    url: '/info/roomInfo/' + roomId,
    method: 'delete'
  })
}

// 导出房间信息
export function exportRoomInfo(query) {
  return request({
    url: '/info/roomInfo/export',
    method: 'get',
    params: query
  })
}
